Page MenuHomeFreeBSD

net/v2ray: Update to 4.20.0
ClosedPublic

Authored by loader on Jul 16 2019, 10:10 AM.

Details

Summary

Proposed commit log message:

net/v2ray: Update to 4.20.0

- Dependencies are not shipped with the tarball anymore, define
  these dependencies in GH_TUPLE.
- Add test target

Changelog:

    https://github.com/v2ray/v2ray-core/compare/v4.14.0...v4.20.0

PR:             239219
Reviewed_by:    koobs
Approved by:    koobs (mentor), shen.elf@gmail.com (maintainer timeout)
Differential_Revision: D20968
Test Plan
  • portlint: OK (looks fine.)
  • testport: OK (poudriere: 1300036, [amd64, i386, armv7], tested)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

loader created this revision.Jul 16 2019, 10:10 AM
loader edited the summary of this revision. (Show Details)Jul 16 2019, 10:13 AM
koobs requested changes to this revision.Jul 17 2019, 3:59 AM

Our SVN commit hooks dont like Changes: in commit log messages. Needs to be Changelog: and I'd probably separate software changelog lines from the freebsd commit log attributes section, like:

Changes:

  https://github.com/v2ray/v2ray-core/compare/v4.14.0...v4.20.0

PR: ..
net/v2ray/Makefile
36 ↗(On Diff #59799)

Group/sort USES/USE together

This revision now requires changes to proceed.Jul 17 2019, 3:59 AM
loader updated this revision to Diff 59834.Jul 17 2019, 4:53 AM

revert ${GO_WRKSRC}/release/config/config.json back to ${WRKSRC}

loader updated this revision to Diff 59835.Jul 17 2019, 4:59 AM

Move USE_RC_SUBR to the USES/USE section

loader edited the summary of this revision. (Show Details)Jul 17 2019, 5:02 AM
loader marked an inline comment as done.
loader edited the summary of this revision. (Show Details)Jul 17 2019, 5:12 AM
loader edited the summary of this revision. (Show Details)Jul 18 2019, 4:46 AM
koobs accepted this revision.Jul 18 2019, 11:00 AM
This revision is now accepted and ready to land.Jul 18 2019, 11:00 AM
loader edited the summary of this revision. (Show Details)Aug 1 2019, 3:12 PM
koobs added a comment.Aug 2 2019, 5:47 AM

LGTM (previous revision was accepted, with additional comments)

This revision was automatically updated to reflect the committed changes.